Test Users

Update test user

Updates a test user.

PUT /api/public/v1/test-users/{testUserId}

Update test user

curl --request PUT \
  --url 'https://api.buildprint.ai/api/public/v1/test-users/{TESTUSERID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "ok": true
}

Test user updated

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • testUserId string required

    Test user ID.

Request Body

application/json
  • name string required

    Test user name.

  • description string | null

    Optional description.

  • email string | null

    Optional login email.

  • password string | null

    Optional login password.

  • database string enum required enum

    Which Bubble database this test user should target. Allowed values: test, live.

  • isDisabled boolean required

    Whether the test user is disabled.

Response

application/json
  • ok boolean

    Always true for a successful mutation response.